#include <Item/StatelessItem/BasicItem/CheatCoolant/CheatCoolant.hpp>

CheatCoolant::CheatCoolant(std::string name) : BasicItem(name, "Cheat Coolant", Material::cheatCoolant)
{
    setMaxStackSize(1);
}

void CheatCoolant::describeInNuclearReactor(ItemStack &stack, std::ostream &os)
{
    os << "Cools its cell to 0 K instantly." << std::endl;
}

bool CheatCoolant::updateNuclearReactor(ItemStack &stack, MNuclearReactor &reactor, glm::ivec2 cellPos)
{
    reactor.setCellTemperature(cellPos, 0);
    return false;
}

float CheatCoolant::getHeatConductivity(ItemStack &stack)
{
    return 0.3f;
}